Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.support
Class BeanDefinitionDefaults

    java.lang.Object
      org.springframework.beans.factory.support.BeanDefinitionDefaults

    public class BeanDefinitionDefaults

extends java.lang.Object

A simple holder for `BeanDefinition` property defaults.

Since:
  2.5
Author:
  Mark Fisher

Constructor Summary
`BeanDefinitionDefaults()`

Method Summary
`int` | `getAutowireMode()`
`int` | `getDependencyCheck()`
`java.lang.String` | `getDestroyMethodName()`
`java.lang.String` | `getInitMethodName()`
`boolean` | `isLazyInit()`
`void` | `setAutowireMode(int autowireMode)`
`void` | `setDependencyCheck(int dependencyCheck)`
`void` | `setDestroyMethodName(java.lang.String destroyMethodName)`
`void` | `setInitMethodName(java.lang.String initMethodName)`
`void` | `setLazyInit(boolean lazyInit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanDefinitionDefaults

    public BeanDefinitionDefaults()

Method Detail

### setLazyInit

    public void setLazyInit(boolean lazyInit)

### isLazyInit

    public boolean isLazyInit()

### setDependencyCheck

    public void setDependencyCheck(int dependencyCheck)

### getDependencyCheck

    public int getDependencyCheck()

### setAutowireMode

    public void setAutowireMode(int autowireMode)

### getAutowireMode

    public int getAutowireMode()

### setInitMethodName

    public void setInitMethodName(java.lang.String initMethodName)

### getInitMethodName

    public java.lang.String getInitMethodName()

### setDestroyMethodName

    public void setDestroyMethodName(java.lang.String destroyMethodName)

### getDestroyMethodName

    public java.lang.String getDestroyMethodName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD